> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve notification runs

> Retrieve notification runs based on the provided filters. API key must have the `View Notification logs` permission.



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/notifications/logs/run
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/notifications/logs/run:
    get:
      tags:
        - Notification Logs
      summary: Retrieve notification runs
      description: >-
        Retrieve notification runs based on the provided filters. API key must
        have the `View Notification logs` permission.
      operationId: listNotificationRuns
      parameters:
        - description: The type of notification.
          in: query
          name: notificationTypes
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - INITIATIVE_CREATION
                - INITIATIVE_CUSTOM_SCHEDULE
                - INITIATIVE_N_DAYS_LEFT
                - SERVICE_REEVALUATED
                - WEEKLY_REPORT
                - BROKEN_OPEN_API_SPEC
                - ENTITLEMENT_EXPIRATION
                - ONCALL_ASSISTANT
                - ONBOARDING_MESSAGE
                - NOTIFY_INVALID_INTEGRATION
                - ONCALL_PERSON_CHANGED
                - ONCALL_STARTS_IN_N_DAYS
                - TEAM_MEMBER_INVITATION
                - PENDING_RULE_EXEMPTION
                - TOKEN_EXPIRES_IN_N_DAYS
                - SCHEDULED_SCORECARD_RULE_CREATION
                - SCORECARD_RULE_ACTIVATES_IN_N_DAYS
                - WORKFLOW_STATUS_UPDATE
                - WORKFLOW_APPROVAL_PENDING
                - VERIFICATION_PERIOD_STARTED
                - VERIFICATION_PERIOD_REMINDER
                - AI_ASSISTANT_WELCOME_MESSAGE
                - ENTITY_SCORE_DROPPED
                - ONBOARDING_WIZARD_STATE_COMPLETED
                - EXPORT_COMPLETED
        - description: The status of the notification.
          in: query
          name: statuses
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - CREATED
                - FAILED
                - IGNORED
                - COMPLETED
                - COMPLETED_WITH_ERRORS
        - description: The medium used to send the notification.
          in: query
          name: mediums
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - SLACK
                - MICROSOFT_TEAMS
                - EMAIL
                - WEBHOOK
        - description: The reason why a notification run was ignored.
          in: query
          name: ignoredReasons
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - SCORECARD_DISABLED
                - WORKSPACE_DISABLED
                - NO_RECIPIENTS
        - description: The reason why a notification run failed.
          in: query
          name: failedReasons
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - PACKET_GENERATOR_ERROR
                - CONTEXT_RESOLUTION_ERROR
                - INTERNAL_ERROR
        - description: Whether to include the objects associated with the notification run.
          in: query
          name: includeObjects
          required: false
          schema:
            type: boolean
            default: false
        - description: The ISO date and time to start the search from.
          example: '2021-01-01T00:00:00'
          in: query
          name: fromDate
          required: false
          schema:
            type: string
            format: date-time
        - description: The ISO date and time to end the search at.
          example: '2021-01-01T00:00:00'
          in: query
          name: untilDate
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: deliveredOnly
          required: false
          schema:
            type: boolean
            default: true
        - description: >-
            Number of results to return per page, between 1 and 1000. Default
            250.
          in: query
          name: pageSize
          required: true
          schema:
            type: integer
            format: int32
            default: 250
        - description: Page number to return, 0-indexed. Default 0.
          in: query
          name: page
          required: true
          schema:
            type: integer
            format: int32
            default: 0
        - description: Sort the results ascending or descending.
          in: query
          name: orderBy
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationRunResponse'
          description: Successfully retrieved notification runs
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    NotificationRunResponse:
      required:
        - page
        - runs
        - total
        - totalPages
      type: object
      properties:
        page:
          type: integer
          description: Current page number, 0-indexed
          format: int32
        runs:
          type: array
          items:
            $ref: '#/components/schemas/NotificationRun'
        total:
          type: integer
          description: Total number of results
          format: int32
        totalPages:
          type: integer
          description: Total number of pages
          format: int32
    ErrorResponse:
      required:
        - message
        - type
      type: object
      properties:
        details:
          type: string
        errorCode:
          type: string
        gatewayHttpStatus:
          type: integer
          format: int32
        httpStatus:
          type: integer
          format: int32
        message:
          type: string
        requestId:
          type: string
        type:
          type: string
          enum:
            - INTEGRATION_MISSING
            - INTEGRATION_UNREGISTERED
            - INTEGRATION_UNSUPPORTED
            - INTEGRATION_GRAPHQL_ERROR
            - INTEGRATION_BAD_REQUEST
            - INTEGRATION_UNAUTHORIZED
            - INTEGRATION_FORBIDDEN
            - INTEGRATION_NOT_FOUND
            - INTEGRATION_UNPROCESSABLE_CONTENT
            - INTEGRATION_RATE_LIMITED
            - INTEGRATION_INTERNAL_ERROR
            - INTEGRATION_NOT_IMPLEMENTED
            - INTEGRATION_BAD_GATEWAY
            - INTEGRATION_UNAVAILABLE
            - INTEGRATION_GATEWAY_TIMEOUT
            - INTEGRATION_TIMED_OUT
            - INTEGRATION_CACHE_ERROR
            - INTEGRATION_UNHANDLED_HTTP_ERROR
            - INTEGRATION_UNHANDLED_EXCEPTION
            - INTEGRATION_UNEXPECTED_ERROR
            - ILLEGAL_ARGUMENT_ERROR
            - BAD_REQUEST
            - FORBIDDEN
            - NOT_FOUND
            - REQUEST_TIMEOUT
            - CONFLICT
            - UNHANDLED_EXCEPTION
            - UNCATEGORIZED
            - SERVICE_CREATOR
            - UNKNOWN_HOST
            - TOO_MANY_REQUESTS
    NotificationRun:
      required:
        - deliveredCount
        - id
        - medium
        - notificationType
        - seqNo
        - status
        - summary
      type: object
      properties:
        dateCreated:
          type: string
          description: The date and time that this notification run was created.
          format: date-time
        dateUpdated:
          type: string
          description: The date and time that this notification run was updated.
          format: date-time
        deliveredCount:
          type: integer
          description: The number of notifications that were delivered during this run.
          format: int64
        errorMessage:
          type: string
          description: An additional error message.
        failedReason:
          type: string
          description: The reason why this notification run failed.
          enum:
            - PACKET_GENERATOR_ERROR
            - CONTEXT_RESOLUTION_ERROR
            - INTERNAL_ERROR
        id:
          type: integer
          description: The unique identifier of the notification run.
          format: int64
          example: 1
        ignoredReason:
          type: string
          description: The reason why this notification run was ignored.
          enum:
            - SCORECARD_DISABLED
            - WORKSPACE_DISABLED
            - NO_RECIPIENTS
        medium:
          type: string
          description: The medium used to send the notification.
          enum:
            - SLACK
            - MICROSOFT_TEAMS
            - EMAIL
            - WEBHOOK
        notificationObjects:
          type: array
          description: >-
            The objects (Entities, Scorecards and Initiatives) associated with
            this run.
          items:
            $ref: '#/components/schemas/NotificationObject'
        notificationType:
          type: string
          description: The type of the notification.
          enum:
            - INITIATIVE_CREATION
            - INITIATIVE_CUSTOM_SCHEDULE
            - INITIATIVE_N_DAYS_LEFT
            - SERVICE_REEVALUATED
            - WEEKLY_REPORT
            - BROKEN_OPEN_API_SPEC
            - ENTITLEMENT_EXPIRATION
            - ONCALL_ASSISTANT
            - ONBOARDING_MESSAGE
            - NOTIFY_INVALID_INTEGRATION
            - ONCALL_PERSON_CHANGED
            - ONCALL_STARTS_IN_N_DAYS
            - TEAM_MEMBER_INVITATION
            - PENDING_RULE_EXEMPTION
            - TOKEN_EXPIRES_IN_N_DAYS
            - SCHEDULED_SCORECARD_RULE_CREATION
            - SCORECARD_RULE_ACTIVATES_IN_N_DAYS
            - WORKFLOW_STATUS_UPDATE
            - WORKFLOW_APPROVAL_PENDING
            - VERIFICATION_PERIOD_STARTED
            - VERIFICATION_PERIOD_REMINDER
            - AI_ASSISTANT_WELCOME_MESSAGE
            - ENTITY_SCORE_DROPPED
            - ONBOARDING_WIZARD_STATE_COMPLETED
            - EXPORT_COMPLETED
        originalRunId:
          type: integer
          description: >-
            The unique identifier of the original run that this run was re-run
            from.
          format: int64
        seqNo:
          type: integer
          description: >-
            The order of the run in the sequence of re-runs. 0 if it's the
            original run.
          format: int32
        status:
          type: string
          description: The status of the notification run.
          enum:
            - CREATED
            - FAILED
            - IGNORED
            - COMPLETED
            - COMPLETED_WITH_ERRORS
        summary:
          type: string
          description: The summary of the notification run.
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    NotificationObject:
      required:
        - id
        - name
        - type
      type: object
      properties:
        cid:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier.
            Applicable only for entities.
          example: en2da8159dbeefb974
        id:
          type: integer
          description: The unique internal identifier of the notification object.
          format: int64
        name:
          type: string
          description: The name of the notification object.
        tag:
          type: string
          description: >-
            Unique identifier, found in the UI. Applicable for entities and
            scorecards.
          example: production-readiness-scorecard
        type:
          type: string
          description: The type of the notification object.
          enum:
            - ENTITY
            - SCORECARD
            - INITIATIVE
        url:
          type: string
          description: The URL of the notification object's home page in Cortex.
      description: >-
        The objects (Entities, Scorecards and Initiatives) associated with this
        run.
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Notification Logs](/api/rest/notification-logs.md)
- [Retrieve notification logs](/api/rest/notification-logs/retrieve-notification-logs.md)
- [Notifications](/configure/settings/notifications.md)
